﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using dlytmusic.Dbugns;
using dlytmusic.ViewModel;

namespace dlytmusic {
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application {

        protected override void OnStartup(StartupEventArgs e) {
            base.OnStartup(e);

            MainWindowVM windowVM = new MainWindowVM();
            MainWindow window = new MainWindow(windowVM);
            
            MainWindowVM.mwin = window;//cheat mvvm
            MainWindowVM.mwinVM = windowVM;

            window.Show();
        }

        private void OnExit(object sender, ExitEventArgs e) {
            dlytmusic.Properties.Settings.Default.Save();
            Dbug.wline("Setting were saved.");
        }

    }
}
